Bug 738815 - Can't boot with Intel MSM (softraid) in Verify state
Summary: Can't boot with Intel MSM (softraid) in Verify state
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 15
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 21:12 UTC by Joe Christy
Modified: 2012-08-07 19:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:50:36 UTC


Attachments (Terms of Use)

Description Joe Christy 2011-09-15 21:12:42 UTC
Description of problem:
F15 won't boot on laptop with Intel MSM (softraid) in Verify state

Version-Release number of selected component (if applicable):
mdadm-3.2.2-9.fc15.x86_64
kernel-2.6.40.4-5.fc15.x86_64 (same problem with the older kernels on this machine., though)
dracut-009-12.fc15.noarch
lvm2-2.02.84-3.fc15.x86_64

How reproducible:
Every time

Steps to Reproduce:
0. Get a machine using Intel Matrix Storage Manager (in my case a Thinkpad W700) into the Verify state of the "controller". Hitting Ctrl-I in the MSM BIOS is one way, but there are others, involving various degrees of bad luck. This step only need be repeated once - as long as the MSM wants to Verify, you're sunk.
1. Initiate boot
2. Curse when you end up at the dracut prompt. (this is not strictly necessary, but hard to avoid)
3.
  
Actual results:
Boot fails and you end up at the dracut> prompt.

Expected results:
Machine boots. This happened even w/ MSM in Verify state before updates this week.

Additional info:
dmesg ala dracut reveals that even though dracut has Autoassembled MD Raid, bound my two discs into (in my case RAID 10) array /dev/md127 w two devices, the boot fails w/

[  25.425476] dracut Warning: No root device "block:/dev/mapper/vgshango-lv_root" found"
[  25.534739] dracut Warning: LVM vg_shango/lv_root not found
[  25.534762] dracut Warning: LVM vg_shango/lv_swap not found


Sure enough, /dev/mapper/ contains only the single character device control.
While I have no idea which component is causing the problem, I'm taking a wild guess and blaming dracut.

I'd love to debug this following http://fedoraproject.org/wiki/How_to_debug_Dracut_problems, but see https://bugzilla.redhat.com/show_bug.cgi?id=738808

It seems that others are seeing the problem as well in the comments to two bug reports that confound several related, but distinct problems. cf. https://bugzilla.redhat.com/show_bug.cgi?id=729205#c16 and https://bugzilla.redhat.com/show_bug.cgi?id=736387. The former comment describes my plight exactly, but for device names, while the latter describes a machine that is substantially less hosed than mine - there is a valid shell at the end of the dracut rabbit hole and that machine can boot with an older kernel.

The only thing that I can do is boot from a rescue disc and wait hours while the MSM verifies my RAID. Once MSM is in the OK state the machine boots just fine, but I made the mistake of looking for some additional info in the MSM BIOS, which then wanted to Verify again :(.

Comment 1 eyurtese 2011-10-07 13:17:41 UTC
Hello,

I have experienced the same problem, however in my case the box boots with kernel
2.6.38.6-26.rc1.fc15.x86_64 (which arrived at install time) or maybe there was a difference in configurations when this kernel in my machine was created...

Thanks,

Comment 2 Fedora Admin XMLRPC Client 2011-10-20 16:20:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Justin Willmert 2011-10-28 00:15:32 UTC
Just want to add a "me too" to the report and offer to help if I can. I have a dual-boot system, so when it decides for some reason that a verification is necessary, I just let the process run while I'm booted into Windows (rather than booting into a live disk), but that obviously isn't ideal.

I did a net-based install, so I never had the 2.6.38.6 kernel mentioned in comment 1. To add some information to the bug report:

Relevant package versions:
$ rpm -q kernel
kernel-2.6.40.3-0.fc15.x86_64
kernel-2.6.40.4-5.fc15.x86_64
kernel-2.6.40.6-0.fc15.x86_64
$ rpm -q dracut
dracut-009-12.fc15.noarch

Hardware specs:
$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579V Gigabit Network Connection (rev 05)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b5)
00:1c.6 PCI bridge: Intel Corporation 82801 PCI Bridge (rev b5)
00:1c.7 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 8 (rev b5)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation Z68 Express Chipset Family LPC Controller (rev 05)
00:1f.2 RAID bus controller: Intel Corporation 82801 SATA RAID Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 VGA compatible controller: ATI Technologies Inc Barts XT [ATI Radeon HD 6800 Series]
01:00.1 Audio device: ATI Technologies Inc Barts HDMI Audio [Radeon HD 6800 Series]
03:00.0 USB Controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
05:00.0 SATA controller: JMicron Technology Corp. JMB362 AHCI Controller (rev 10)
06:00.0 USB Controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
07:00.0 PCI bridge: ASMedia Technology Inc. Device 1080 (rev 01)

Comment 4 Harald Hoyer 2012-07-03 07:48:35 UTC
Could you please retry with Fedora 17?

Comment 5 Fedora End Of Life 2012-08-07 19:50:39 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.